#!BuildIgnore:          post-build-checks
%define	RPMVERSION 4.05
%define VERSION    4.05
Summary:	Kernel loader which uses a FAT, ext2/3 or iso9660 filesystem or a PXE network
Name:		syslinux
Version:	%{RPMVERSION}
Release:	3.2
License:	GPL
Group:		System/Boot
Source0:	ftp://ftp.kernel.org/pub/linux/utils/boot/syslinux/%{name}-%{VERSION}.tar.bz2
Source1:	%{name}-rpmlintrc
Patch0:		syslinux-openbsd-bootparams-3.80.patch
Patch1:		syslinux-build-ifmemdsk.patch
ExclusiveArch:	i386 i486 i586 i686 athlon pentium4 x86_64
Buildroot:	%{_tmppath}/%{name}-%{VERSION}-root
BuildRequires:	nasm >= 0.98.39 perl
%if 0%{?suse_version} >= 1030
BuildRequires:	libuuid-devel
%else
BuildRequires:	e2fsprogs-devel
%endif
BuildPrereq:	nasm >= 0.98.39 perl
Autoreq:	0
%ifarch x86_64
Requires:	mtools, libc.so.6()(64bit)
%define my_cc gcc
%else
Requires:	mtools, libc.so.6
%define my_cc gcc -m32
%endif

# NOTE: extlinux belongs in /sbin, not in /usr/sbin, since it is typically
# a system bootloader, and may be necessary for system recovery.
%define _sbindir /sbin

%package devel
Summary:	Development environment for SYSLINUX add-on modules
Group:		Development/Libraries
Requires:	syslinux

%description
SYSLINUX is a suite of bootloaders, currently supporting DOS FAT
filesystems, Linux ext2/ext3 filesystems (EXTLINUX), PXE network boots
(PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).  It also includes a tool,
MEMDISK, which loads legacy operating systems from these media.

%description devel
The SYSLINUX boot loader contains an API, called COM32, for writing
sophisticated add-on modules.  This package contains the libraries
necessary to compile such modules.

%package extlinux
Summary:	The EXTLINUX bootloader, for booting the local system
Group:		System/Boot
Requires:	syslinux

%description extlinux
The EXTLINUX bootloader, for booting the local system, as well as all
the SYSLINUX/PXELINUX modules in /boot.

%package tftpboot
Summary:	SYSLINUX modules in /tftpboot, available for network booting
Group:		Applications/Internet
Requires:	syslinux

%description tftpboot
All the SYSLINUX/PXELINUX modules directly available for network
booting in the /tftpboot directory.

%prep
%setup -q -n syslinux-%{VERSION}
%patch0
%patch1

%build
make CC='%{my_cc}' clean
make CC='%{my_cc}' installer
make CC='%{my_cc}' -C sample tidy

%install
rm -rf %{buildroot}
make CC='%{my_cc}' install-all \
	INSTALLROOT=%{buildroot} BINDIR=%{_bindir} SBINDIR=%{_sbindir} \
	LIBDIR=%{_libdir} DATADIR=%{_datadir} \
	MANDIR=%{_mandir} INCDIR=%{_includedir} \
	TFTPBOOT=/tftpboot EXTLINUXDIR=/boot/extlinux
make CC='%{my_cc}' -C sample tidy
mkdir -p %{buildroot}/etc
#chmod 644 sample/mdiskchk.com

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING NEWS doc/*
%doc sample
%{_mandir}/man*/*
%{_bindir}/*
%dir %{_datadir}/syslinux
%dir %{_datadir}/syslinux/dosutil
%{_datadir}/syslinux/*.com
%{_datadir}/syslinux/*.exe
%{_datadir}/syslinux/*.c32
%{_datadir}/syslinux/*.bin
%{_datadir}/syslinux/*.0
%{_datadir}/syslinux/memdisk
%{_datadir}/syslinux/dosutil/eltorito.sys
%{_datadir}/syslinux/dosutil/mdiskchk.com
%{_datadir}/syslinux/dosutil/copybs.com
%dir %{_datadir}/syslinux/diag
%{_datadir}/syslinux/diag/geodsp1s.img.xz
%{_datadir}/syslinux/diag/geodspms.img.xz
%{_datadir}/syslinux/diag/handoff.bin

%files devel
%defattr(-,root,root)
%{_datadir}/syslinux/com32

%files extlinux
%defattr(-,root,root)
%{_sbindir}/extlinux
/boot/extlinux
#%config /etc/extlinux.conf

%files tftpboot
%defattr(-,root,root)
/tftpboot

%post extlinux
# If we have a /boot/extlinux.conf file, assume extlinux is our bootloader
# and update it.
if [ -f /boot/extlinux/extlinux.conf ]; then \
	extlinux --update /boot/extlinux ; \
elif [ -f /boot/extlinux.conf ]; then \
	mkdir -p /boot/extlinux && \
	mv /boot/extlinux.conf /boot/extlinux/extlinux.conf && \
	ln -sf /boot/extlinux/extlinux.conf /boot/extlinux.conf && \
	extlinux --update /boot/extlinux ; \
fi

%postun

%changelog
* Sun Jul 29 2012 cs@linux-administrator.com
- added syslinux-build-ifmemdsk.patch
* Sun Jul 29 2012 cs@linux-administrator.com
- Update to version 4.05
  * HDT updated, and now supports uploading data to a TFTP server.
  * ISOLINUX: remove the .img file support; it has been broken on
    virtually all systems since the beginning, and has been totally
    broken since 4.00 at least. Use MEMDISK instead.
  * chain.c32: Support chaining ReactOS' FreeLdr (Shao Miller)
  * isohybrid: -m option to add support for Mac EFI booting.
  * ifmemdsk.c32: Choose boot option based on presence of MEMDISK.
  * Remove bogus distributed mk-lba-img binary.
  * The Syslinux project has a new, cool logo by Abi "ixxvil" Rasheed (doc/logo/*).
* Fri Jun 24 2011 cs@linux-administrator.com
- Update to version 4.04
  * PXELINUX: Fix handling of unqualified DNS names.
  * PXELINUX: Fix timer bug when PXELINUX might be unloaded (Gene Cumm).
  * core/writedec.inc: Fix duplicate declaration and overflow (Gene Cumm).
  * GCC 4.5 fixes.
  * sample directory: Fix Makefile include (Gene Cumm).
  * ver.com: New universal DOS/COMBOOT application to display version information (includes DRMK) (Gene Cumm).
  * rosh.c32: updated; Using getopt() for internal commands to aid parsing options; Fix bugs in ls; add warm reboot and echo (Gene Cumm).
  * com32: fix a file descriptor leak.
  * gfxboot.c32: handle TEXT..ENDTEXT; error out on no LABELs found (Sebastian Herbszt).
  * Fix booting on non-partitioned devices.
  * MBR, isohybrid: Workaround for a BIOS issue on Acer Travelmate and possibly other machines.
  * COM32: Adding ACPI parsing libary
  * HDT: Release 0.4.1 to support ACPI parsing, improved mutli-core/cpu reporting
  * LUA: Updating to 5.1.4-2
  * SYSLINUX: core/diskstart.inc: Reset DS after checksum in case it isn't 0 (Gene Cumm).
  * win64: Script update for additional mingw compiler names (Gene Cumm).
  * diag: New directory for diagnostic-related tools. Add a handoff MBR/VBR and geometry display images (Gene Cumm).
  * MEMDISK: use "mem=" parameter to mark available memory above this point as reserved (core already does alignment) (Gene Cumm).
  * MEMDISK: Additional disk probe checks and debug output (Shao Miller, Gene Cumm).
  * gpxe: add gpxelinuxk.0, based off of undionly.kpxe + new script (Gene Cumm).
  * isohybrid: install the isohdpfx*.bin/isohdppx*.bin files to make isohybrid images in one step with GNU xorriso.
  * PXELINUX: disable a hack that would make localboot work on some machines, but break just about as many. Some machines which worked with "localboot 0" in previous versions may need "localboot -1" in this one. If you have a machine which requires "localboot -1", a copy of the dmidecode or sysdump output would be appreciated.
  * Include a set of diagnostics by Gene Cumm.
  * Fixes for gcc 4.6 and binutils 2.21.51.
  * chain.c32: Allow "uuid" as a synonym to "guid".
  * Handle directory names starting with .. for vfat and iso9660.
  * New MENU HIDDENKEY command to provide a one-keystroke way to activate a boot option from a hidden menu intro screen.
